[type='range'] {
    -webkit-appearance: none;
    background: transparent;
    margin: 10px 0.5rem;
    width: 10rem
}

[type='range']::-moz-focus-outer {
    border: 0
}

[type='range']:focus {
    outline: 0
}

[type='range']:focus::-webkit-slider-runnable-track {
    background: #0d0d0d;
}

[type='range']:focus::-ms-fill-lower {
    background: #000;
}

[type='range']:focus::-ms-fill-upper {
    background: #0d0d0d;
}

[type='range']::-webkit-slider-runnable-track {
    cursor: default;
    height: 8px;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    width: 10rem;
    -webkit-box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2), 0 0 1px rgba(13, 13, 13, 0.2);
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2), 0 0 1px rgba(13, 13, 13, 0.2);
    background: #000;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 5px
}

[type='range']::-webkit-slider-thumb {
    -webkit-box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.2), 0 0 4px rgba(13, 13, 13, 0.2);
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.2), 0 0 4px rgba(13, 13, 13, 0.2);
    background: #555;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 12px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    cursor: default;
    height: 20px;
    width: 20px;
    -webkit-appearance: none;
    margin-top: -8px
}

[type='range']::-moz-range-track {
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2), 0 0 1px rgba(13, 13, 13, 0.2);
    cursor: default;
    height: 8px;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    width: 10rem;
    background: #000;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    height: 4px
}

[type='range']::-moz-range-thumb {
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.2), 0 0 4px rgba(13, 13, 13, 0.2);
    background: #555;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 12px;
    box-sizing: border-box;
    cursor: default;
    height: 20px;
    width: 20px
}

[type='range']::-ms-track {
    cursor: default;
    height: 8px;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
    width: 10rem;
    background: transparent;
    border-color: transparent;
    border-width: 10px 0;
    color: transparent
}

[type='range']::-ms-fill-lower {
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2), 0 0 1px rgba(13, 13, 13, 0.2);
    background: #000;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 10px
}

[type='range']::-ms-fill-upper {
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2), 0 0 1px rgba(13, 13, 13, 0.2);
    background: #000;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 10px
}

[type='range']::-ms-thumb {
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.2), 0 0 4px rgba(13, 13, 13, 0.2);
    background: #555;
    border: 2px solid rgba(255, 255, 255, 0.8);
    border-radius: 12px;
    box-sizing: border-box;
    cursor: default;
    height: 20px;
    width: 20px;
    margin-top: 2px
}

[type='range']:disabled::-webkit-slider-thumb, [type='range']:disabled::-moz-range-thumb, [type='range']:disabled::-ms-thumb, [type='range']:disabled::-webkit-slider-runnable-track, [type='range']:disabled::-ms-fill-lower, [type='range']:disabled::-ms-fill-upper {
    cursor: not-allowed
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu72xKOzY.woff2) format("woff2");
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu5mxKOzY.woff2) format("woff2");
    unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu7mxKOzY.woff2) format("woff2");
    unicode-range: U+1F00-1FFF
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu4WxKOzY.woff2) format("woff2");
    unicode-range: U+0370-03FF
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu7WxKOzY.woff2) format("woff2");
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu7GxKOzY.woff2) format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local("Roboto"), local("Roboto-Regular"), url(/fonts/KFOmCnqEu92Fr1Mu4mxK.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfCRc4EsA.woff2) format("woff2");
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfABc4EsA.woff2) format("woff2");
    unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfCBc4EsA.woff2) format("woff2");
    unicode-range: U+1F00-1FFF
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfBxc4EsA.woff2) format("woff2");
    unicode-range: U+0370-03FF
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfCxc4EsA.woff2) format("woff2");
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfChc4EsA.woff2) format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local("Roboto Bold"), local("Roboto-Bold"), url(/fonts/KFOlCnqEu92Fr1MmWUlfBBc4.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufA5qW54A.woff2) format("woff2");
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufJ5qW54A.woff2) format("woff2");
    unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufB5qW54A.woff2) format("woff2");
    unicode-range: U+1F00-1FFF
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufO5qW54A.woff2) format("woff2");
    unicode-range: U+0370-03FF
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufC5qW54A.woff2) format("woff2");
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufD5qW54A.woff2) format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF
}

@font-face {
    font-family: 'Roboto Slab';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/BngMUXZYTXPIvIBgJJSb6ufN5qU.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD
}

html, body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    pointer-events: none
}

body {
    padding: 1rem;
    font-family: "Roboto Slab";
    color: #e0e0e0;
    fill: #e0e0e0
}

body, #overlay {
    background: #222 !important;
    color: white;
}

a {
    color: #2d96ec;
    text-decoration: none
}

svg.platforms {
    height: 2em;
    vertical-align: middle;
    fill: #c266ef
}

svg.platforms.pi-playstation2 {
    height: 1em
}

#controls {
    pointer-events: initial;
    position: -webkit-sticky;
    position: sticky;
    z-index: 10;
    top: 1rem;
    text-align: center
}

#controls input {
    vertical-align: middle;
    margin: 0 .5rem
}

#controls [type='search'] {
    padding: 0.6em;
    border-radius: 0.4em;
    width: 40vw;
    background: rgba(0, 0, 0, 0.75);
    color: #e0e0e0;
    border: none;
    font-size: 1em
}

#controls.visible {
    display: block
}

#overlay {
    pointer-events: initial;
    z-index: 5;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    opacity: 1;
    -webkit-transition: opacity ease 1s;
    transition: opacity ease 1s;
    cursor: progress
}

#games {
    --cover-width: 140px;
    --cover-spacing: 12px;
    margin-top: 1rem;
    display: -ms-grid;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--cover-width), min-content));
    grid-gap: var(--cover-spacing);
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: initial
}

#games h2, #games dt {
    font-family: "Roboto";
    font-variant: small-caps
}

#games.search-results .game {
    display: none
}

#games.search-results .game.hit {
    display: inline-block
}

.game {
    pointer-events: initial;
    width: var(--cover-width);
    display: inline-block;
    background-size: cover;
    -webkit-box-shadow: inset 0px -1px calc(var(--cover-width) * .4) rgba(255, 255, 255, 0.0666), 3px 4px 9px rgba(0, 0, 0, 0.4);
    box-shadow: inset 0px -1px calc(var(--cover-width) * .4) rgba(255, 255, 255, 0.0666), 3px 4px 9px rgba(0, 0, 0, 0.4)
}

.game > * {
    pointer-events: none
}

.game::after {
    content: '';
    display: block;
    padding-top: 140.93567251461988304093567251462%
}

.game.hover::after {
    background: #d18bf3;
    z-index: 2;
    mix-blend-mode: hard-light
}

.game.hover .data {
    display: block;
    z-index: 3
}

.game .data {
    position: fixed;
    top: 0;
    left: 0;
    max-width: 33vw;
    display: none;
    text-shadow: 1px 1px 0 black;
    background: rgba(0, 0, 0, 0.75);
    padding: 1.2em;
    border-radius: 1em;
    border: solid calc(1px * 2) rgba(236, 208, 250, 0.8);
    -webkit-box-shadow: 4px 7px 12px rgba(0, 0, 0, 0.66);
    box-shadow: 4px 7px 12px rgba(0, 0, 0, 0.66);
    font-size: 1em;
    line-height: 1.4
}

.game .data h2 {
    font-size: 160%;
    margin: 0;
    font-weight: normal;
    color: #fff
}

.game .data dl {
    margin: 1.4em 0 0 0
}

.game .data dt {
    display: inline-block;
    font-weight: bold;
    font-size: 120%;
    color: #d18bf3
}

.game .data dt:after {
    display: inline-block;
    content: ':';
    font-size: 80%
}

.game .data dd {
    margin-left: 0;
    display: inline;
    color: #c2c2c2
}

.game .data dd:after {
    display: block;
    content: ''
}

.game .data.tl {
    border-width: 1px;
    border-top-left-radius: 0
}

.game .data.tr {
    border-width: 1px;
    border-top-right-radius: 0
}

.game .data.bl {
    border-width: 1px;
    border-bottom-left-radius: 0
}

.game .data.br {
    border-width: 1px;
    border-bottom-right-radius: 0
}

.game .data.tl, .game .data.bl {
    border-left-width: 3px
}

.game .data.tr, .game .data.br {
    border-right-width: 3px
}

.game .data.tl, .game .data.tr {
    border-top-width: 3px
}

.game .data.bl, .game .data.br {
    border-bottom-width: 3px
}

.game .data .description {
    margin-top: 1.4em
}

.game .data .description p, .game .data .description ul, .game .data .description ol {
    margin: 0;
    padding: 0;
    font-size: 1em
}

.game .data .description ul, .game .data .description ol {
    padding-left: 1.4em
}

.game .data .description .spaced-1 {
    margin-top: 1.4em
}

.game .data .description .spaced-2 {
    margin-top: 2.8em
}

.game .data .description .spaced-3 {
    margin-top: 4.2em
}

.game .data .description .spaced-4 {
    margin-top: 5.6em
}

.game .data .description .spaced-5 {
    margin-top: 7em
}
